#include <stdio.h>
#include <string.h>

const MAX_NUMBER_DIGITS = 50;	//50
const MAX_INPUT_DIGITS = 15;	//15

inline long Div(long dividend, long divisor)
{
	if(dividend >= 0 || ! (dividend % divisor))return dividend / divisor;
	else return dividend / divisor - 1;
}

inline long Mod(long dividend, long divisor)
{
	if(dividend >=0 || ! (dividend % divisor))return dividend % divisor;
   else return divisor + dividend % divisor;
}


struct tNumber
{
	long digits[MAX_NUMBER_DIGITS];

	void Read(void)
	{
		static char buffer[MAX_INPUT_DIGITS];
		scanf("%s", buffer);
		static long inputLen, digit;
		inputLen = strlen(buffer);
		for(digit = 0; digit < inputLen; ++digit)
			digits[digit] = buffer[inputLen - digit - 1] - '0';
	}

	tNumber(void)
	{
		memset(digits, 0, sizeof(digits));
	}

	void Normalize(void)
	{
		static long digit;
		for(digit = 0; digit < MAX_NUMBER_DIGITS - 1; ++digit)
			if(digits[digit] < 0 || digits[digit] > 9)
			{
				digits[digit + 1] += Div(digits[digit], 10);
				digits[digit] = Mod(digits[digit], 10);
			}
	}

	long Length(void)const
	{
		static long Len;
		Len = MAX_NUMBER_DIGITS - 1;
		while(Len && ! digits[Len - 1]) --Len;
		return Len;
	}

	int operator > (const tNumber &number)const
	{
		static long digit;
		for(digit = MAX_NUMBER_DIGITS - 1; digit >= 0; --digit)
			if(digits[digit] > number.digits[digit])return 1;
			else if(digits[digit] < number.digits[digit])return 0;
		return 0;
	}

	int operator == (const tNumber &number)const
	{
		return ! memcmp(digits, number.digits, sizeof(digits));
	}

	void Print(void)const
	{
		static long cDigits;
		cDigits = Length();
		for(; cDigits; --cDigits) putchar(digits[cDigits - 1] + '0');
	}

	void operator += (const tNumber& number)
	{
		static long digit;
		for(digit = 0; digit < MAX_NUMBER_DIGITS; ++digit)
			digits[digit] += number.digits[digit];
	}

	void operator -= (const tNumber& number)
	{
		static long digit;
		for(digit = 0; digit < MAX_NUMBER_DIGITS; ++digit)
			digits[digit] -= number.digits[digit];
	}
};

int main(void)
{
#ifndef ONLINE_JUDGE
	freopen("amusing.in", "r", stdin);
	freopen("amusing.out", "w", stdout);
#endif

	tNumber number, position, requiredPosition;
	number.Read();
	requiredPosition.Read();
	long cResDigits, numberLen = number.Length(), digit;

	for(cResDigits = 1; cResDigits <= numberLen; ++cResDigits)
	{
		for(digit = 0; digit < cResDigits; ++digit)
			position.digits[cResDigits - digit - 1] +=
				number.digits[numberLen - digit - 1];
		--position.digits[cResDigits - 1];
		++position.digits[0];
	}
	position.Normalize();

	if(position == requiredPosition) number.Print();
	else if(position > requiredPosition) puts("0");
	else
	{
		int resultFound = 0;
		if(number.digits[numberLen - 1] == 1)
		{
			for(digit = numberLen - 2; digit >= 0; --digit)
				if(number.digits[digit])break;
			if(digit < 0)
			{
				puts("0");
				resultFound = 1;
			}
		}

		if(! resultFound)
		{
			--number.digits[numberLen - 1];
			for(;; cResDigits++)
			{
				for(digit = 0; digit < numberLen; ++digit)
					position.digits[cResDigits - digit - 1] +=
						number.digits[numberLen - digit - 1];
				position.Normalize();
				if(requiredPosition > position)continue;
				else break;
			}
			tNumber result;
			++number.digits[numberLen - 1];
			for(digit = 0; digit < numberLen; ++digit)
				result.digits[cResDigits - digit - 1] =
					number.digits[numberLen - digit - 1];
			result += requiredPosition;
			result -= position;
			--result.digits[0];
			result.Normalize();
			result.Print();
		}
	}

#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif

	return 0;
}